Generate Intervals {essHist} | R Documentation

## Generate the system of intervals

### Description

Generate the system of intervals on which the multiscale statistic is defined, see Li et al. (2016).

### Usage

    genIntv(n, type = c("Sparse", "Full"))

### Arguments

`n` | number of observations.
`type` | type of interval system. `type = "Sparse"` (default) is the sparse system proposed by Rivera and Walther (2013), see also Li et al. (2016). `type = "Full"` is the system of all possible intervals with end-index ranging from `1` to `n`.

### Value

A data frame provides the system of intervals, and consists two columns

`left` | left index of an interval
`right` | right index of an interval

### References

Li, H., Munk, A., Sieling, H., and Walther, G. (2016). The essential histogram. arXiv:1612.07216.

Rivera, C., & Walther, G. (2013). Optimal detection of a jump in the intensity of a Poisson process or in a density with likelihood ratio statistics. Scand. J. Stat. 40, 752–769.

### See Also

`checkHistogram`, `essHistogram`, `msQuantile`

### Examples

    n    = 5
    intv = genIntv(n,"Full")
    print(intv)

[Package essHist version 1.2.2 Index]